Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractSelect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          org.richfaces.component.AbstractSelectComponent
                              org.richfaces.component.AbstractSelect

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UISelect

    public abstract class AbstractSelect

extends AbstractSelectComponent

The <rich:select> component provides a drop-down list box for selecting a single value from multiple options. The <rich:select> component can be configured as a combo-box, where it will accept typed input. The component also supports keyboard navigation. The <rich:select> component functions similarly to the JSF UISelectOne component.

Author:
  abelevich

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectOne
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractSelect()`

Method Summary
`abstract String` | `getActiveClass()`
`abstract String` | `getChangedClass()`
`abstract String` | `getClientFilterFunction()` A javascript function used to filter the list of items in the select popup
`abstract String` | `getDisabledClass()`
`abstract String` | `getMaxListHeight()` The maximum height of the list
`abstract String` | `getMinListHeight()` The minimum height ot the list
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`abstract String` | `getTitle()`
`abstract boolean` | `isDisabled()` If "true", this component is disabled
`abstract boolean` | `isEnableManualInput()` If "true" Allows the user to type into a text field to scroll through or filter the list
`abstract boolean` | `isSelectFirst()` If "true" as the user types to narrow the list, automatically select the first element in the list.
`abstract boolean` | `isShowButton()` When "true" display a button to expand the popup list
`void` | `processEvent(javax.faces.event.ComponentSystemEvent event)`

Methods inherited from class org.richfaces.component.AbstractSelectComponent
`getDefaultLabel, getItemClass, getListClass, getListHeight, getListWidth, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnlistclick, getOnlistdblclick, getOnlisthide, getOnlistkeydown, getOnlistkeypress, getOnlistkeyup, getOnlistmousedown, getOnlistmousemove, getOnlistmouseout, getOnlistmouseover, getOnlistmouseup, getOnlistshow, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselectitem, getSelectItemClass`

Methods inherited from class javax.faces.component.UISelectOne
`getFamily, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractSelect

    public AbstractSelect()

Method Detail

### isDisabled

    public abstract boolean isDisabled()

  If "true", this component is disabled

### isEnableManualInput

    public abstract boolean isEnableManualInput()

  If "true" Allows the user to type into a text field to scroll through or filter the list

  Default is "false"

### isSelectFirst

    public abstract boolean isSelectFirst()

  If "true" as the user types to narrow the list, automatically select the first element in the list. Applicable only when enableManualInput is "true".

  Default is "true"

### isShowButton

    public abstract boolean isShowButton()

  When "true" display a button to expand the popup list

  Default is "true"

### getMinListHeight

    public abstract String getMinListHeight()

  The minimum height ot the list

### getMaxListHeight

    public abstract String getMaxListHeight()

  The maximum height of the list

### getClientFilterFunction

    public abstract String getClientFilterFunction()

  A javascript function used to filter the list of items in the select popup

### getActiveClass

    public abstract String getActiveClass()

  Specified by:
    `getActiveClass` in class `AbstractSelectComponent`

### getChangedClass

    public abstract String getChangedClass()

  Specified by:
    `getChangedClass` in class `AbstractSelectComponent`

### getDisabledClass

    public abstract String getDisabledClass()

  Specified by:
    `getDisabledClass` in class `AbstractSelectComponent`

### getStyle

    public abstract String getStyle()

### getStyleClass

    public abstract String getStyleClass()

### getTitle

    public abstract String getTitle()

### processEvent

    public void processEvent(javax.faces.event.ComponentSystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
  Overrides:
    `processEvent` in class `javax.faces.component.UIComponent`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.